unit uPRINTING;

interface

const
	EPPV_1 = 'Printing.dll';

	BODY_FEED			= 24;
	END_FEED			= 38;

	BAR_UPCA			= 0;
	BAR_UPCE			= 1;
	BAR_EAN13			= 2;
	BAR_EAN8			= 3;
	BAR_CODE39		= 4;
	BAR_ITF			= 5;
	BAR_CODABAR		= 6;
	BAR_CODE93		= 7;
	BAR_CODE128		= 8;
	BAR_PDF417		= 9;

	ALIGN_LEFT		= 0;
	ALIGN_CENTER		= 1;
	ALIGN_RIGHT		= 2;

	BAR_SCALE_2		= 2;
	BAR_SCALE_3		= 3;
	BAR_SCALE_4		= 4;

	BAR_TEXT_NONE		= 0;
	BAR_TEXT_ABOVE		= 1;
	BAR_TEXT_BELOW		= 2;
	BAR_TEXT_BOTH		= 3;

	BAR_HEIGHT_MIN		= 1;
	BAR_HEIGHT_DEFAULT	= 162;
	BAR_HEIGHT_MAX		= 255;

	FONT_9_16			= 0;
	FONT_18_16		= 1;
	FONT_9_32			= 2;
	FONT_18_32		= 3;
	FONT_12_24		= 4;//(default)
	DEFAULT_FONT		= 4;//FONT_12x24
	FONT_24_24		= 5;
	FONT_12_48		= 6;
	FONT_24_48		= 7;

type
	TFlex_BUF = array [1..101] of Byte;
	TMY_PRINTER = (
		pr_PP50,		//384 pixels per line for the model
		pr_PP55,		//384 pixels per line for the model
		pr_PP60,		//384 pixels per line for the model
		pr_CMP10,		//384 pixels per line for the model
		pr_DPP250,	//384 pixels per line for the model
		pr_DPP350,	//576 pixels per line for the model
		pr_EP50,		//384 pixels per line for the model
		pr_EP55,		//576 pixels per line for the model
		pr_EP60,		//432 pixels per line for the model
		pr_EP300,		//576 pixels per line for the model
		pr_EP1000,	//600 pixels per line for the model
		pr_DK2300);	//576 pixels per line for the model


	function PrnOpen	(		PortNumber,
							Speed		: Integer;
							UseHardware	: Boolean)	: Integer; stdcall; external 'Printing.dll';//
	function PrnClose									: Integer; stdcall; external 'Printing.dll';//
	function PrnSensors									: Integer; stdcall; external 'Printing.dll';//
	function PrnText	(		Text			: PChar)		: Integer; stdcall; external 'Printing.dll';//
	function PrnImage	(		FileName		: PChar;
							Align		: Integer)	: Integer; stdcall; external 'Printing.dll';//
	function PrnDensity(		Intensity		: Integer)	: Integer; stdcall; external 'Printing.dll';//
	function PrnPaperCut								: Integer; stdcall; external 'Printing.dll';//
	function PrnPaperFeed(		Lines		: Integer)	: Integer; stdcall; external 'Printing.dll';//
	function PrnBarcodeSettings(
							Align,
							Scale,
							TextPos,
							Height		: Integer)	: Integer; stdcall; external 'Printing.dll';//
	function PrnBarcode(		BracodeType	: Integer;
							Data			: PChar;
							Len			: Integer)	: Integer; stdcall; external 'Printing.dll';//
	function PrnPaperWidth								: Integer; stdcall; external 'Printing.dll';//
	function PrnDelimiter(		TRGT_Char		: Char;
							Razmer		: Integer)	: Integer; stdcall; external 'Printing.dll';//
	function PrnGetCharWidth(	TRGT_Font		: Integer)	: Integer; stdcall; external 'Printing.dll';//
	function PrnGetCharHeight(	TRGT_Font		: Integer)	: Integer; stdcall; external 'Printing.dll';//
	function PrnGetTextWidth(	TRGT_Font		: Integer;
							Text			: PChar)		: Integer; stdcall; external 'Printing.dll';//
	function PrnGetPrinterModel							: Integer; stdcall; external 'Printing.dll';//
	function PrnCodepage(		Codepage		: Integer)	: Integer; stdcall; external 'Printing.dll';//

	function PrnGetSetting(SETTINGS_NAME : PChar; SETT_VALUE : PChar; VALUE_LENGTH : Integer)	: Integer; stdcall; external 'Printing.dll';//
	function PrnSetSetting(SETTINGS_NAME : PChar; SETT_VALUE : PChar)	: Integer; stdcall; external 'Printing.dll';//
	function PrnCommitSettings	: Integer; stdcall; external 'Printing.dll';//

{ char buf[100];
 PrnGetSetting("LAN:MACAddress",buf,100);
 PrnSetSetting("LAN:MACAddress","0200006C3001");
 PrnCommitSettings();
int __stdcall PrnGetSetting(char* setting, char* value, int maxSize);
int __stdcall PrnSetSetting(char* setting, char* value);
int __stdcall PrnCommitSettings();}

implementation

end.

